%define name 	ploticus
%define version 2.30
%define release 1mdk

%define filever 230

Summary: 	Graph/plot generator
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	pl%{filever}src.tar.bz2
Url: 		http://ploticus.sourceforge.net/
License: 	GPL
Group: 		Publishing
Requires: 	gd-utils
BuildRequires: 	gd-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}buildroot

%description
PLOTICUS is a popular command line utility for creating graphs and plots
that may be presented in Web pages, printed reports, slides, posters, or
interactively. It can produce pie, bar, line, boxplot, scatterplot,
sweep, and other types of plots. Colors and appearance details are very
configurable. PLOTICUS can handle date and time data in a variety of
formats in addition to numeric and alphanumeric data. It is suitable for
on-demand plotting, CGI, etc. It accepts ASCII or comma-spearated (.csv)
files and can output to GIF, PNG, SVG, JPEG, WBMP, PostScript, EPS, or
interactively via X11. Some statistical capabilities such as linear
regression and curve fitting are included.

NOTE: the executable name is: pl

%prep
%setup -q -n pl%{filever}src

%build
cd src
%make	CC="%{__cc} $RPM_OPT_FLAGS" \
	XLIBS="-L%{_prefix}/X11R6/%{_lib} -lX11" \
	XINCLUDEDIR="-I%{_prefix}/X11R6/include" \
	GD18LIBS="-lgd -lpng -lz -ljpeg -lfreetype" \
	GD18H="" \
	GDFREETYPE="-DGDFREETYPE" \
	ZFLAG="-DWZ" \
	PREFABS_DIR=%{_datadir}/%{name} \
	LOCALEOBJ=localef.o \
	LOCALE_FLAG="-DLOCALE" \
	plgd18

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m755 src/pl -D $RPM_BUILD_ROOT%{_bindir}/pl
cp prefabs/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/pl
%{_datadir}/%{name}

%changelog
* Thu Sep 2 2004 Austin Acton <austin@mandrake.orgg> 2.30-1mdk
- 2.30

* Sat May 15 2004 Austin Acton <austin@mandrake.org> 2.21-1mdk
- 2.21

* Wed Jan 07 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.20-1mdk
- 2.20
- make short-circuitable (rm -rf $RPM_BUILD_ROOT at the beginning of %%install,
  don't move binary out of $RPM_BUILD_DIR but copy it in stead:)
- drop explicit library dependencies
- fix buildrequires (lib64..)
- cosmetics
- compile with $RPM_OPT_FLAGS
- use %%make macro

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 2.11-1mdk
- 2.11

* Fri Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.10-1mdk
- from Austin Acton <aacton@yorku.ca> : 
	- initial package
